Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class AddressingFaultsHelper

    java.lang.Object
      org.apache.axis2.addressing.AddressingFaultsHelper

    public class AddressingFaultsHelper

extends java.lang.Object

Constructor Summary
`AddressingFaultsHelper()`

Method Summary
`static org.apache.axiom.om.OMElement` | `getDetailElementForAddressingFault(MessageContext messageContext, org.apache.axiom.om.OMNamespace addressingNamespaceObject)`
`static java.lang.String` | `getMessageForAxisFault(java.lang.String faultCodeLocalName, java.lang.String faultDetail)` Build an understanndable fault string for the given faultCode and wsa:FaultDetail info.
`static void` | `triggerActionMismatchFault(MessageContext messageContext, java.lang.String soapAction, java.lang.String wsaAction)`
`static void` | `triggerActionNotSupportedFault(MessageContext messageContext, java.lang.String problemAction)`
`static void` | `triggerDestinationUnreachableFault(MessageContext messageContext, java.lang.String address)`
`static void` | `triggerInvalidCardinalityFault(MessageContext messageContext, java.lang.String incorrectHeaderName)`
`static void` | `triggerInvalidEPRFault(MessageContext messageContext, java.lang.String incorrectHeaderName)`
`static void` | `triggerMessageAddressingRequiredFault(MessageContext messageContext, java.lang.String missingHeaderName)`
`static void` | `triggerMissingAddressInEPRFault(MessageContext messageContext, java.lang.String incorrectHeaderName)`
`static void` | `triggerOnlyAnonymousAddressSupportedFault(MessageContext messageContext, java.lang.String incorrectHeaderName)`
`static void` | `triggerOnlyNonAnonymousAddressSupportedFault(MessageContext messageContext, java.lang.String incorrectHeaderName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingFaultsHelper

    public AddressingFaultsHelper()

Method Detail

### getMessageForAxisFault

    public static java.lang.String getMessageForAxisFault(java.lang.String faultCodeLocalName,
                                                          java.lang.String faultDetail)

  Build an understanndable fault string for the given faultCode and wsa:FaultDetail info. Should really use a message bundle.

  Parameters:
    `faultCodeLocalName` -
    `faultDetail` -
  Returns:

### triggerInvalidEPRFault

    public static void triggerInvalidEPRFault(MessageContext messageContext,
                                              java.lang.String incorrectHeaderName)
                                       throws AxisFault

  Throws:
    `AxisFault`

### triggerInvalidCardinalityFault

    public static void triggerInvalidCardinalityFault(MessageContext messageContext,
                                                      java.lang.String incorrectHeaderName)
                                               throws AxisFault

  Throws:
    `AxisFault`

### triggerMissingAddressInEPRFault

    public static void triggerMissingAddressInEPRFault(MessageContext messageContext,
                                                       java.lang.String incorrectHeaderName)
                                                throws AxisFault

  Throws:
    `AxisFault`

### triggerActionMismatchFault

    public static void triggerActionMismatchFault(MessageContext messageContext,
                                                  java.lang.String soapAction,
                                                  java.lang.String wsaAction)
                                           throws AxisFault

  Throws:
    `AxisFault`

### triggerOnlyAnonymousAddressSupportedFault

    public static void triggerOnlyAnonymousAddressSupportedFault(MessageContext messageContext,
                                                                 java.lang.String incorrectHeaderName)
                                                          throws AxisFault

  Throws:
    `AxisFault`

### triggerOnlyNonAnonymousAddressSupportedFault

    public static void triggerOnlyNonAnonymousAddressSupportedFault(MessageContext messageContext,
                                                                    java.lang.String incorrectHeaderName)
                                                             throws AxisFault

  Throws:
    `AxisFault`

### triggerMessageAddressingRequiredFault

    public static void triggerMessageAddressingRequiredFault(MessageContext messageContext,
                                                             java.lang.String missingHeaderName)
                                                      throws AxisFault

  Throws:
    `AxisFault`

### triggerDestinationUnreachableFault

    public static void triggerDestinationUnreachableFault(MessageContext messageContext,
                                                          java.lang.String address)
                                                   throws AxisFault

  Throws:
    `AxisFault`

### triggerActionNotSupportedFault

    public static void triggerActionNotSupportedFault(MessageContext messageContext,
                                                      java.lang.String problemAction)
                                               throws AxisFault

  Throws:
    `AxisFault`

### getDetailElementForAddressingFault

    public static org.apache.axiom.om.OMElement getDetailElementForAddressingFault(MessageContext messageContext,
                                                                                   org.apache.axiom.om.OMNamespace addressingNamespaceObject)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.